const Mesa = require('vendor/Mesa.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {
    const vars = context.steps;

    let parentSku = this.parentSku(vars);
    Mesa.trigger.setTaskExternalData({
      "label": `SKU: ${vars.webhook.sku} Parent SKU: ${parentSku}`
    })

    Mesa.output.next({"parent_sku": parentSku});
  }

  parentSku = (vars) => {
    let sku = vars.webhook.sku;
    if (sku.slice(-7) == '-SAMPLE') {
      return sku.replace('-SAMPLE', '0.12');
    } else if (sku.slice(-3) == '0.5') {
      return sku.replace('0.5', '1');
    } else if (sku.slice(-4) == '0.25') {
      return sku.replace('0.25', '0.5');
    } else if (sku.slice(-4) == '0.12') {
      return sku.replace('0.12', '0.25');
    }

    return null;
  }
}
